Bug 1292292 - Review Request: nodejs-is-unc-path - Returns true if a filepath is a windows UNC file path
Review Request: nodejs-is-unc-path - Returns true if a filepath is a windows ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1292291
Blocks: nodejs-reviews 1292293
  Show dependency treegraph
 
Reported: 2015-12-16 17:42 EST by Jared Smith
Modified: 2016-08-04 06:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-04 06:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-16 17:42:35 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-unc-path/nodejs-is-unc-path.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-unc-path/nodejs-is-unc-path-0.1.1-1.fc24.src.rpm
Description: Returns true if a filepath is a windows UNC file path
Fedora Account System Username: jsmith
Comment 2 Tom Hughes 2015-12-20 11:17:41 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/tom/1292292-nodejs-
  is-unc-path/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/tom/1292292
     -nodejs-is-unc-path/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-is-unc-path-0.1.1-2.fc24.noarch.rpm
          nodejs-is-unc-path-0.1.1-2.fc24.src.rpm
nodejs-is-unc-path.noarch: W: spelling-error Summary(en_US) filepath -> file path, file-path, telepathic
nodejs-is-unc-path.noarch: W: spelling-error %description -l en_US filepath -> file path, file-path, telepathic
nodejs-is-unc-path.noarch: W: only-non-binary-in-usr-lib
nodejs-is-unc-path.noarch: W: dangling-symlink /usr/lib/node_modules/is-unc-path/node_modules/unc-path-regex /usr/lib/node_modules/unc-path-regex
nodejs-is-unc-path.src: W: spelling-error Summary(en_US) filepath -> file path, file-path, telepathic
nodejs-is-unc-path.src: W: spelling-error %description -l en_US filepath -> file path, file-path, telepathic
nodejs-is-unc-path.src: W: file-size-mismatch test.js = 507, https://raw.githubusercontent.com/jonschlinkert/is-unc-path/master/test.js = 976
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-is-unc-path.noarch: W: only-non-binary-in-usr-lib
nodejs-is-unc-path.noarch: W: dangling-symlink /usr/lib/node_modules/is-unc-path/node_modules/unc-path-regex /usr/lib/node_modules/unc-path-regex
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-is-unc-path (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(unc-path-regex)



Provides
--------
nodejs-is-unc-path:
    nodejs-is-unc-path
    npm(is-unc-path)



Source checksums
----------------
https://registry.npmjs.org/is-unc-path/-/is-unc-path-0.1.1.tgz :
  CHECKSUM(SHA256) this package     : a6e7ab5704a9ebbd7bbd2d2bd84319c5b85fae8bf5eaea9c6339ba1a5d79902b
  CHECKSUM(SHA256) upstream package : a6e7ab5704a9ebbd7bbd2d2bd84319c5b85fae8bf5eaea9c6339ba1a5d79902b
https://raw.githubusercontent.com/jonschlinkert/is-unc-path/master/test.js :
  CHECKSUM(SHA256) this package     : e0b908e2bc1e39a936a7bf1f20f889f6c6a9eba2978ec65555c418a096d02e48
  CHECKSUM(SHA256) upstream package : 10e61b381317038e997eea972cbf2f66407841d676c13afcd2b29c224fa30e3b
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1292292
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-12-20 11:19:16 EST
Couple of problems - you're including test.js in the built package, and it's the wrong test.js and doesn't match the URL at all. I suspect you did "spectool -g" and it didn't fetch test.js because it already existed from a different package.
Comment 5 Tom Hughes 2015-12-21 13:57:48 EST
Tests look fine now.

You're still packaging test.js but other than that it looks fine.
Comment 6 Patrick Uiterwijk 2015-12-22 14:33:17 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-is-unc-path
Comment 7 Jared Smith 2016-08-04 06:52:01 EDT
In rawhide, closing bug

Note You need to log in before you can comment on or make changes to this bug.